package	jp.co.sds_corp.util.daemon.remote;

import jp.co.sds_corp.util.config.IConfigurable;
import jp.co.sds_corp.util.daemon.manager.DaemonManager;

/**
* デーモンマネージャを外部から制御するサーバクラスの定義です。
*/
public interface IRemoteServer extends IConfigurable
{
	/**
	* サーバのタイプを返します。
	*/
	public String getType();

	/**
	* 処理対象のDaemonManagerを設定します。
	* @param	var		設定するデータ
	*/
	public void setManager( DaemonManager var );
	/**
	* 処理対象のDaemonManagerを取得します。
	* @return	処理対象のDaemonManager
	*/
	public DaemonManager getManager();

	/**
	* debugフラグを設定します。
	* @param	var		設定するデータ
	*/
	public void setDebug( boolean var );
	/**
	* debugフラグを取得します。
	* @return	debugフラグ
	*/
	public boolean isDebug();

	/**
	* 処理を終了します。
	*/
	public void exit();

}
